Skip to main content

Get all pricing

GEThttps://api.propexo.com/v1/listings/pricing

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external listing id

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

listing_id string

The Propexo unique identifier for the listing

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the listing.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the listing

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    propertyunits/getUnitsAvailabilityAndPricing
    Example: b6ea6c63c81eaed8a7a358ee98e8c8bf7d9e766fc5ea02e9eaca2aac3ffcfae2
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    propertyunits/getUnitsAvailabilityAndPricing
    Example: propertyX123
    x_listing_idstring | nullnullablerequired

    The external ID of the listing from the integration vendor

    Method
    propertyunits/getUnitsAvailabilityAndPricing
    Example: unitX123
    base_rent_in_centsnullrequired

    The base rent cost of the listing, in cents

    Notice

    This field will always be null for ENTRATA

    Example: null
    concession_in_centsnullrequired

    The amount of the concession for the listing, in cents

    Notice

    This field will always be null for ENTRATA

    Example: null
    effective_rent_in_centsnumber | nullnullablerequired

    The amount of the effective rent for the listing, in cents

    Method
    propertyunits/getUnitsAvailabilityAndPricing
    Example: 235000
    start_datestring | nullnullablerequired

    The start date associated with the unit price

    Important

    Entrata does not provide a specific start date, so this is set to the current day when read in. All these dates are UTC.

    Method
    propertyunits/getUnitsAvailabilityAndPricing
    Example: 2025-02-25T00:00:00.000Z
    end_datenullrequired

    The end date associated with the unit price

    Notice

    This field will always be null for ENTRATA

    Example: null
    available_datenullrequired

    The start date of the availability to query

    Notice

    This field will always be null for ENTRATA

    Example: null
    lease_term_in_monthsinteger | nullnullablerequired

    The amount of months for the lease term

    Method
    propertyunits/getUnitsAvailabilityAndPricing
    Example: 12
    custom_data object | nullrequired
    object
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    listing_idstring | nullnullablerequired

    The Propexo unique identifier for the listing

    Method
    propertyunits/getUnitsAvailabilityAndPricing
    Example: cm7ku0bvx67069672531r3382418cb83f
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum15required

    The property management system of record

    Show 13 enum values
    ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: ENTRATA
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/listings/pricing
curl https://api.propexo.com/v1/listings/pricing \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "b6ea6c63c81eaed8a7a358ee98e8c8bf7d9e766fc5ea02e9eaca2aac3ffcfae2",
"x_property_id": "propertyX123",
"x_listing_id": "unitX123",
"base_rent_in_cents": null,
"concession_in_cents": null,
"effective_rent_in_cents": 235000,
"start_date": "2025-02-25T00:00:00.000Z",
"end_date": null,
"available_date": null,
"lease_term_in_months": 12,
"custom_data": "Unknown Type: object,null",
"property_id": "clwi5xiix000008l6ctdgafyh",
"listing_id": "cm7ku0bvx67069672531r3382418cb83f",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA"
}
]
}